Bug 1544666 - [RFE] Network Filters - Add option to set a custom nwfilter in the engine
Summary: [RFE] Network Filters - Add option to set a custom nwfilter in the engine
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network
Version: 4.2.1.4
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ovirt-4.3.0
: ---
Assignee: Ales Musil
QA Contact: Meni Yakove
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-13 08:48 UTC by Michael Burman
Modified: 2019-11-26 06:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-10 11:42:04 UTC
oVirt Team: Network
rule-engine: ovirt-4.3?
rule-engine: planning_ack?
danken: devel_ack+
mburman: testing_ack+


Attachments (Terms of Use)

Description Michael Burman 2018-02-13 08:48:11 UTC
Description of problem:
[RFE] Network Filters - Add option to set a custom nwfilter in the engine UI.

Currently we are missing an option to set a custom network filters, some users may want to set a custom network filters and use them with the engine. 

The way to do it currently is:
- Add custom network properties on oVirt-engine level,
- Add a hook like vdsm_hooks/noipspoof/noipspoof.py which modifies
  libvirt's domain XML to activate the custom network filter and
- Be yourself responsible to deploy the custom network filter
  definition to all nodes

Version-Release number of selected component (if applicable):
rhvm-4.2.1.6-0.1.el7.noarch

How reproducible:
100%

Comment 1 Yaniv Lavi 2018-06-10 11:42:04 UTC
This general use it overkill for the requirement.
We will look to fix it in another way.


Note You need to log in before you can comment on or make changes to this bug.